Bug 6360 - all messages on checkin should have sounds if soundson
Summary: all messages on checkin should have sounds if soundson
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) minor (vote)
Target Milestone: ---
Assignee: Robin Sheat
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-17 21:13 UTC by Nicole C. Engard
Modified: 2013-12-05 20:05 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
transfer message with no sound (12.51 KB, image/png)
2011-05-17 21:13 UTC, Nicole C. Engard
Details
Bug 6360 - add some more sounds to some happenings on returns (4.12 KB, patch)
2011-09-13 04:19 UTC, Robin Sheat
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 6360 - add some more sounds to some happenings on returns (4.19 KB, patch)
2011-09-21 18:49 UTC, Nicole C. Engard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2011-05-17 21:13:03 UTC
Created attachment 4161 [details]
transfer message with no sound

When sounds are on there is no sound if you get a book that has to be transferred to another branch. See attached error message. I did not try all messages, but all should have a sound if sounds are on.
Comment 1 Robin Sheat 2011-09-07 07:00:21 UTC
Is there a set of sound sources we can pull from, or should they just all go 'beep'?
Comment 2 Liz Rea 2011-09-13 02:48:42 UTC
agreed.

Robin, the current sounds are in koha-tmpl/intranet-tmpl/prog/sound
Comment 3 Robin Sheat 2011-09-13 04:19:25 UTC Comment hidden (obsolete)
Comment 4 Nicole C. Engard 2011-09-21 18:49:56 UTC
Created attachment 5517 [details] [review]
[SIGNED-OFF] Bug 6360 - add some more sounds to some happenings on returns

This adds an alert sound to various events around transfers and holds
when items are being returned, to make it more apparent that attention
is needed.

Signed-off-by: Nicole C. Engard <nengard@bywatersolutions.com>
Comment 5 Ian Walls 2011-09-21 18:58:50 UTC
Simple change, template only, easy to read (cleans up some whitespace) and consistent in soundfile usage.  marking as Passed QA
Comment 6 Chris Cormack 2011-09-21 22:15:36 UTC
Pushed, please test
Comment 7 Jared Camins-Esakov 2012-12-31 00:30:22 UTC
There have been no further reports of problems so I am marking this bug resolved.